version: '3'
services:
  java-app:
    image: codingtruckingjoe/my-repo:jma-4.0
    environment:
      - DB_USER=user
      - DB_PWD=pass
      - DB_SERVER=mysql
      - DB_NAME=my-app-db
    ports:
    - 8080:8080
    container_name: java-maven-app

  mysql:
    image: mysql
    ports:
      - 3306:3306
    environment:
      - MY_SQL_PASSWORD=my-secret-pw
      - MYSQL_DATABASE=my-db
      - MYSQL_USER=user
      - MYSQL_PASSWORD=pass
    volumes:
      - mysql-data:/var/lib/mysql
    container_name: mysql
  
  phpmyadmin:
    image: phpmyadmin
    environment:
      PMA_HOST: mysql
    ports:
      - 8083:80
    container_name: myadmin
volumes:
  mysql-data:
    driver: local
